Bug 997255 - [abrt] nm-connection-editor-0.9.8.1-4.git20130514.fc18: gtk_tree_model_filter_row_deleted: Process /usr/bin/nm-connection-editor was killed by signal 11 (SIGSEGV)
[abrt] nm-connection-editor-0.9.8.1-4.git20130514.fc18: gtk_tree_model_filter...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: network-manager-applet (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
abrt_hash:1284dbd29ff69a96e8cc976e9bb...
:
: 1048515 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 01:51 EDT by Sam Jorna
Modified: 2014-03-06 03:15 EST (History)
3 users (show)

See Also:
Fixed In Version: NetworkManager-openvpn-0.9.8.2-4.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-11 03:46:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.17 KB, text/plain)
2013-08-15 01:51 EDT, Sam Jorna
no flags Details
File: cgroup (131 bytes, text/plain)
2013-08-15 01:51 EDT, Sam Jorna
no flags Details
File: core_backtrace (2.24 KB, text/plain)
2013-08-15 01:51 EDT, Sam Jorna
no flags Details
File: dso_list (11.86 KB, text/plain)
2013-08-15 01:51 EDT, Sam Jorna
no flags Details
File: environ (1.59 KB, text/plain)
2013-08-15 01:51 EDT, Sam Jorna
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-15 01:51 EDT, Sam Jorna
no flags Details
File: maps (58.30 KB, text/plain)
2013-08-15 01:51 EDT, Sam Jorna
no flags Details
File: open_fds (1.31 KB, text/plain)
2013-08-15 01:51 EDT, Sam Jorna
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2013-08-15 01:51 EDT, Sam Jorna
no flags Details
File: xsession_errors (7.96 KB, text/plain)
2013-08-15 01:52 EDT, Sam Jorna
no flags Details

  None (edit)
Description Sam Jorna 2013-08-15 01:51:32 EDT
Description of problem:
Was editing an OpenVPN connection an hour or so ago and left the window open awaiting other information.

Version-Release number of selected component:
nm-connection-editor-0.9.8.1-4.git20130514.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        nm-connection-editor --edit 0f8dd0ac-e4fc-4925-9774-4537ffffa7c6
crash_function: gtk_tree_model_filter_row_deleted
executable:     /usr/bin/nm-connection-editor
kernel:         3.9.11-200.fc18.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Aug 15 13:35:52 cerberus abrt[5932]: Saved core dump of pid 5533 (/usr/bin/nm-connection-editor) to /var/tmp/abrt/ccpp-2013-08-15-13:35:52-5533 (70418432 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_tree_model_filter_row_deleted at gtktreemodelfilter.c:2590
 #5 gtk_tree_model_row_deleted at gtktreemodel.c:1867
 #6 emit_row_deleted_for_row at gtkfilesystemmodel.c:331
 #7 remove_file at gtkfilesystemmodel.c:1912
 #8 gtk_file_system_model_monitor_change at gtkfilesystemmodel.c:1257
 #9 ffi_call_unix64 at ../src/x86/unix64.S:75
 #10 ffi_call at ../src/x86/ffi64.c:486
 #11 g_cclosure_marshal_generic_va at gclosure.c:1550
 #12 _g_closure_invoke_va at gclosure.c:840
 #15 emit_cb at gfilemonitor.c:390
Comment 1 Sam Jorna 2013-08-15 01:51:36 EDT
Created attachment 786767 [details]
File: backtrace
Comment 2 Sam Jorna 2013-08-15 01:51:39 EDT
Created attachment 786768 [details]
File: cgroup
Comment 3 Sam Jorna 2013-08-15 01:51:41 EDT
Created attachment 786769 [details]
File: core_backtrace
Comment 4 Sam Jorna 2013-08-15 01:51:44 EDT
Created attachment 786770 [details]
File: dso_list
Comment 5 Sam Jorna 2013-08-15 01:51:47 EDT
Created attachment 786771 [details]
File: environ
Comment 6 Sam Jorna 2013-08-15 01:51:49 EDT
Created attachment 786772 [details]
File: limits
Comment 7 Sam Jorna 2013-08-15 01:51:52 EDT
Created attachment 786773 [details]
File: maps
Comment 8 Sam Jorna 2013-08-15 01:51:55 EDT
Created attachment 786774 [details]
File: open_fds
Comment 9 Sam Jorna 2013-08-15 01:51:57 EDT
Created attachment 786775 [details]
File: proc_pid_status
Comment 10 Sam Jorna 2013-08-15 01:52:00 EDT
Created attachment 786776 [details]
File: xsession_errors
Comment 11 Fedora End Of Life 2013-12-21 09:28:42 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Jirka Klimes 2014-01-07 09:13:40 EST
*** Bug 1048515 has been marked as a duplicate of this bug. ***
Comment 13 Seb L. 2014-01-07 12:28:32 EST
Version: should be changed to 20.
Comment 14 Fedora Update System 2014-01-07 13:04:55 EST
NetworkManager-openvpn-0.9.8.2-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/NetworkManager-openvpn-0.9.8.2-4.fc20
Comment 15 Fedora Update System 2014-01-07 13:06:14 EST
NetworkManager-openvpn-0.9.8.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/NetworkManager-openvpn-0.9.8.2-4.fc19
Comment 16 Fedora Update System 2014-01-08 02:49:47 EST
Package NetworkManager-openvpn-0.9.8.2-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-openvpn-0.9.8.2-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0378/NetworkManager-openvpn-0.9.8.2-4.fc19
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2014-01-11 03:46:46 EST
NetworkManager-openvpn-0.9.8.2-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2014-03-06 03:15:13 EST
NetworkManager-openvpn-0.9.8.2-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.